﻿.searchText {
    width: 150px;
    right: 20px;
    top: 5px;
    position: relative;
}

.icon-search-little {
    /*background-image: url('Images/search_24.png');*/
    height: 24px;
    width: 24px; 
    position: absolute;
    right: 205px;
    background-repeat: no-repeat;
    top: 5px;
}

.fa-search {
    height: 24px;
    width: 24px;
    position: absolute;
    right: 205px;
    background-repeat: no-repeat;
    top: 8px;
    font-size:18px !important;
}


.btn-enabled {
    background-image: url('../Images/enabled_orange_32.png');
    height: 32px;
}

.btn-disabled {
    background-image: url('../Images/disabled_grey_32.png');
    height: 32px;
}

.btn-model {
    background-image: url('../Images/modeladd_grey_32.png');
    height: 32px;
}

.btn-model:hover {
    background-image: url('../Images/modeladd_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-view {
    background-image: url('../Images/viewadd_grey_32.png');
    height: 32px;
}

.btn-view:hover {
    background-image: url('../Images/viewadd_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-edit {
    background-image: url('../Images/edit_grey_32.png');
    height: 32px;
}

.btn-edit:hover {
    background-image: url('../Images/edit_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-share {
    background-image: url('../Images/share_grey_32.png');
    height: 32px;
}

.btn-share:hover {
    background-image: url('../Images/share_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-sharedby {
    background-image: url('../Images/share_orange_32.png');
    height: 32px;
    cursor: default;
}

.btn-use{
    background-image: url('../Images/usemodel_grey_32.png');
    height: 32px;
}

.btn-use:hover{
    background-image: url('../Images/usemodel_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-history{
    background-image: url('../Images/history_grey_32.png');
    height: 32px;
}

.btn-history:hover{
    background-image: url('../Images/history_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-sendnow{
    background-image: url('../Images/sendnow_grey_32.png');
    height: 32px;
}

.btn-sendnow:hover{
    background-image: url('../Images/sendnow_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-report{
    background-image: url('../Images/reportadd_grey_32.png');
    height: 32px;
    margin-left: 5px;
    margin-right: 5px;
}

.btn-report:hover{
    background-image: url('../Images/reportadd_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-dashboard{
    background-image: url('../Images/dashboardadd_grey_32.png');
    height: 32px;
}

.btn-dashboard:hover{
    background-image: url('../Images/dashboardadd_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}



.btn-delete {
    background-image: url('../Images/delete_grey_32.png');
    height: 32px;
}

.btn-delete:hover {
    background-image: url('../Images/delete_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}


.btn-pdf{
    background-image: url('../Images/pdf_grey_32.png');
    height: 32px;
    width: 32px;
}

.btn-pdf:hover {
    background-image: url('../Images/pdf_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}


.btn-html{
    background-image: url('../Images/html_grey_32.png');
    height: 32px;
    width: 32px;
}

.btn-html:hover {
    background-image: url('../Images/html_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-youtubevideo{
    background-image: url('../Images/youtube_grey_32.png');
    height: 32px;
    width: 32px;
}

.btn-youtubevideo:hover {
    background-image: url('../Images/youtube_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-localvideo{
    background-image: url('../Images/video_grey_32.png');
    height: 32px;
    width: 32px;
}

.btn-localvideo:hover {
    background-image: url('../Images/video_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newconn {
    background-image: url('../Images/connadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newconn:hover {
    background-image: url('../Images/connadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newmodel {
    background-image: url('../Images/modeladd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newmodel:hover {
    background-image: url('../Images/modeladd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newstoresprocedure {
    background-image: url('../Images/storedproceduresadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newstoresprocedure:hover {
    background-image: url('../Images/storedproceduresadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newsubscription {
    background-image: url('../Images/subscriptionadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newsubscription:hover {
    background-image: url('../Images/subscriptionadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newschedule {
    background-image: url('../Images/scheduleadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newschedule:hover {
    background-image: url('../Images/scheduleadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newview {
    background-image: url('../Images/viewadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newview:hover {
    background-image: url('../Images/viewadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newreport{
    background-image: url('../Images/reportadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newreport:hover {
    background-image: url('../Images/reportadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-newdashboard{
    background-image: url('../Images/dashboardadd_grey_48.png');
    height: 48px;
    width: 48px;
}

.btn-newdashboard:hover {
    background-image: url('../Images/dashboardadd_orange_48.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.btn-open{
    background-image: url('../Images/preview_grey_32.png');
    height: 32px;
    width: 32px;
}




.btn-open:hover {
    background-image: url('../Images/preview_orange_32.png');
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.newItem{
    min-height: 225px;
}

.w3-card{
    max-height: 225px; 
    background-color: white;
}

.w3-footer{
    min-height: 32px;
}

.card-header {
    background-color: white;
    padding-top: 15px;
    height: 100px;
}

.card-header img{
    height:64px;
    width: 64px;
}

.card-title {
    font-weight: bold;
    text-transform: uppercase;
    text-overflow: ellipsis;
    color: #677381 !important
}

.cardSelected {
    /*margin: 14px !important;
	border-width: 3px;
	border-color: #666666;
	border-style: solid;*/
}

.newItemFooter{
    position: relative;
    top: 20px;
}
.card-footer{
    height:32px;
}

.short-card{
    top: 25px;
    height: 32px;
}
                            

.newItemSmall{
    max-height: 225px !important;
    min-height: 225px;
}   
/*
.newItemSmall .newItemFooter{
    top:0px !important;
}

.newItemSmall .w3-section{
    margin-top: 3px !important;
    margin-bottom: 3px !important;
}*/


.listViewType .card-header .w3-container{
	display:none;
}
.listViewType .newItem .card-header .w3-container{
	display:inline-block;
	margin-left: 41px;
}
.listViewType .newItem .card-header,.listViewType .card-header{
	float:left;
	margin-top: 0px;
}
.listViewType .newItem .card-header img
{
	padding-top:5px;
	margin-left: 5px;
}
.listViewType .card-header img{
	width: 38px;
	float:left;
	margin: auto;
	vertical-align: middle;
	/* padding-top: 5px; */
	
}
.listViewType .newItem .card-header img{
	display:none;
}
.listViewType .newItem .card-header{
	background-image: url("../Images/Analysis_orange_48.png") !important;
	background-size: 38px;
	background-repeat: no-repeat;
	background-position-y: 4px;
	background-position-x: 5px;
}
.listViewType .w3-card,.listViewType .w3-card.newItem{
	height:48px;
	min-height:48px;
}
.listViewType .w3-card.newItem,.listViewType .w3-margin.firstResult {
    margin-top: 15px !important;
}
.listViewType .w3-card .w3-container{
	min-height: 43px !important;
	line-height: 46px !important;
	float:left;
}
.listViewType .w3-card .w3-footer{
	float:right;
	margin-top:8px;
	height: 32px;
	min-height: 32px;
}
.listViewType .w3-margin{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
	margin-left:16px !important;
	margin-right:16px !important;
}

.listViewType .newItemFooter{
	float: right;
	margin-top: 7px !important;
	position: initial;
	margin-right: 5px;
	/* background-color: rgb(204, 204, 204); */
}
.listViewType .newItemFooter button{
	background-size:32px;
	height:32px;
	width: 32px;
	/* background-color: rgb(204, 204, 204) !important; */
}
.listViewType .w3-col.s12{
	width: 100% !important;
	/* margin: auto; */
	/* text-align: center; */
}

.listViewType .card-header{
	padding-top: 0px !important;
	margin-top: 5px;
	margin-left: 5px;
}
.listViewType .newItem .card-header{
    margin-left: 0px;
    height: 46px;
    background-color: transparent !important;
    color: #666 !important;
    font-weight: bold;
}

.listViewType .w3-card{
    border-top-width:0px;
}

.listViewType .w3-card:hover,.listViewType .newItem .card-header:hover{
	background-color:#f5f5f5 !important;
}
.listViewType .w3-white{
	background-color:transparent !important;
}


.listViewType .newItem,.listViewType .firstResult{
	border-top-width:1px;
}


/* Nuovi stili Portale 2.0 */
.w3-card {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 1px 10px rgba(0, 0, 0, 0.06);
    border-radius: 15px;
    overflow: hidden;
    max-width: 290px;
    transition: all 0.28s cubic-bezier(0.4, 0, 0.2, 1); /* Aggiunta per una transizione più fluida al normale stato */
}

/* Stili per l'header della card */
.w3-card .card-header {
    height: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.30); /* bordo su 3 lati */
    border-bottom: none; /* niente bordo sotto */
    border-top-left-radius: 15px; /* stesso raggio della card */
    border-top-right-radius: 15px;
    overflow: hidden; /* evita artefatti sugli angoli */
}

.w3-center.card-header {
    display: flex;
    flex-direction: column; /* mette icona sopra e testo sotto */
    align-items: center; /* centra orizzontalmente */
    justify-content: center; /* se serve, centra verticalmente */
    text-align: center;
}

.w3-center.card-header img {
    max-width: 64px; /* dimensiona icona */
    margin-bottom: 6px;
}

.w3-center.card-header p {
    margin: 0;
}

.card-title {
    padding-bottom: 15px !important;
}

/* Effetto al passaggio del mouse (hover) */
.w3-card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15), 0 6px 20px rgba(0, 0, 0, 0.12);
    animation: pulse 1.5s cubic-bezier(.36,.07,.19,.97) infinite; /* Applica l'animazione di pulsazione */
    backface-visibility: hidden;
    perspective: 1000px;
}

/* Animazione di Pulsazione */
@keyframes pulse {
    0% {
        transform: scale(1);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 1px 10px rgba(0, 0, 0, 0.06), 0 0 0 rgba(255, 255, 255, 0);
    }

    50% {
        transform: scale(1.05);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 1px 10px rgba(0, 0, 0, 0.06), 0 0 0 rgba(255, 255, 255, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 1px 10px rgba(0, 0, 0, 0.06), 0 0 0 rgba(255, 255, 255, 0);
    }
}

/* Effetto per la card del portale centrale */
.w3-MasterCard {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15), 0 6px 20px rgba(0, 0, 0, 0.12);
    animation: MasterPulse 1.5s cubic-bezier(.36,.07,.19,.97) infinite;
    backface-visibility: hidden;
    perspective: 1000px;
}

@keyframes MasterPulse {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(0,0,0, 0.4);
        box-shadow: 0 0 0 0 rgba(0,0,0, 0.4);
    }

    70% {
        -moz-box-shadow: 0 0 0 10px rgba(255,255,255, 0);
        box-shadow: 0 0 0 10px rgba(255,255,255, 0);
    }

    100% {
        -moz-box-shadow: 0 0 0 0 rgba(255,255,255, 0);
        box-shadow: 0 0 0 0 rgba(255,255,255, 0);
    }
}

.main-searchText {
    border-radius: 10px !important;
    padding: 8px 12px;
    transition: opacity 0.2s ease;
}

/* Focus: avvia animazione allungamento barra di ricerca */
.main-searchText:focus {
    animation: expandSearch 0.4s forwards;
    left: 50%;
    transform: translateX(-50%);
}

@keyframes expandSearch {
    0% {
        width: 100%;
        left: 10%;
        transform: translateX(0);
    }

    100% {
        width: 200%;
        left: 50%;
        right: 50%;
        transform: translateX(-50%);
    }
}

.main-searchText:focus + .main-searchIcon,
.searchText:focus-within .main-searchIcon {
    animation: moveIcon 0.4s forwards;
}

@keyframes moveIcon {
    0% {
        right: 100%;
    }

    100% {
        right: 195%;
        transform: translateX(-60%);
    }
}

.w3-container {
    padding: 0.05em 0.5em 0.5em 0.5em !important;
    
}

.w3-card-badge {
    width: clamp(5em, calc(96%), 15em); /* min 5em, ideale 96%, max 15em */
    height: auto;
    max-height: 50px;
}